Cemu - Bug #167

Permenantly altered joystick after using cemu-no-gryo
08/14/2019 07:17 PM - zachThePerson

Status: Closed Start date: 08/14/2019

Priority: Normal

Assignee:

Category: Input

API: GPU Vendor/Model: GTX 1070 & GTX 970
Cemu Version: 1.15.10

Description

After using Cemu-no-gyro with the right joystick on my 360 controller to control the motion, the up direction on the controller now only
outputs about 20% "output," or whatever you want to call it, meaning trying to move the camera in that direction is now painfully slow
while all other directions work fine. Almost like the deadzone became egg shaped and stretched in the up direction.

Good news is | can seemingly fix it by upping the "Range," in Cemu, but then after | use cemu-no-gyro again it causes the same
issue and | have to go back and up the range even more. | only have so much of the range slider left, soon | won't be able to use it to
fix this issue anymore.

| already looked at cemu-no-gryo's code on github, and it looks like it's not editing anything in Cemu directly, only sending data so |
don't think it's cemu-no-gryo's fault.

¢ | switched the L/R stick controls around and the issue persists stays with the right stick. | also used the left stick later with
cemu-no-gryo and that seems to have inherited the issue as well.
¢ | also tried switching between Xlinput and Directinput but no luck.

History

#1 - 08/14/2019 07:18 PM - zachThePerson

Forgot to mention that the controller works perfectly fine outside of Cemu, so it's not a controller issue either.
#2 - 08/15/2019 01:47 AM - Ingen
Can partially confirm this happens, however | have this issue with the left stick, not using Cemu-no-gyro, and I'm not sure what actually causes it.

Increasing range just by 1% fixes it, and sometimes | can set it back to 100 and it'll work fine for a while.

#3 - 04/10/2021 02:58 PM - Serfrost
- Status changed from New to Closed

- Assignee deleted (Petergov)

Likely a controller driver issue after using this 3rd party app; in either case it shouldn't be related to Cemu.
